Rescan a specific email

Prev Next

Rescans a specific email.

GET https://<address>/wsapis/v2.0.0/emailmgmt/quarantine/rescan/4ZHBnw17XxzYkhml

Availability

This command is available on the following appliances:

  • Central Management System

  • Email Security — Server

Required header:

X-FeApi-Token: [API-Token]

Options

  • address—This is the IP address of the appliance running the Web Services API.

  • API-Token—This token authenticates the session. By default, the session times out after 15 minutes of inactivity.

Parameters

  • email_uuid (string, path parameter) - The UUID of the email to rescan.

  • Request Body (JSON)

    • rescan_properties (object, required)

    • pwd_list (array of strings, optional) - A list of passwords to use for decryption during the rescan.

Example request

GET https://<address>/wsapis/v2.0.0/emailmgmt/quarantine/rescan/4ZHBnw17XxzYkhml

Rescan a specific email response

  • Response Code—A standard HTML response code.

    • 200—Request successful.

    • Other codes may indicate errors. (The document does not provide specific error codes)

cURL code sample: rescan a specific email

The following code sample can be copied and executed from any command-line interface that includes the cURL library.

Note

In this sample, line breaks are added for readability. Remove these line breaks before you paste the code sample into your command-line tool.

curl -v -k -X POST -H "X-FeApi-Token: <API-Token>" -H "Accept: application/json" -H "Content-Type: application/json" -d '{"rescan_properties":{"pwd_list":["testpwd","AaDdMmIiNn_112233","infected"]}}' "https://<address>/wsapis/v2.0.0/emailmgmt/quarantine/rescan/4ZHBnw17XxzYkhml" 

This cURL sample includes the following options:

  • -v— Verbose mode. Show more details about what curl is doing.

  • -k— This option explicitly allows cURL to perform "insecure" SSL connections and transfers. This allows you to test your SSL connection without installing a CA certificate.

  • -x post—Specifies a custom request method to use when communicating with the HTTP server. In this case, it's using the POST method.

  • -H "X-FeApi-Token: <API-Token>"—An extra header to include in the request when sending HTTP to a server.

  • -H "Accept: application/json"—An extra header to include in the request. It tells the server that the client can accept responses in JSON format.

  • -H "Content-Type: application/json"—An extra header to include in the request. It tells the server that the request body is in JSON format.

  • -d '{"rescan_properties":{"pwd_list":["testpwd","AaDdMmIiNn_112233","infected"]}}'—Sends the specified data in a POST request to the server.

Results

This example returns a successful rescan operation.